package com.logicbig.example;

import javax.swing.*;
import java.awt.*;

public class JSliderExampleMain {
    public static void main(String[] args) {
        JFrame frame = createFrame();
        JSlider slider = createSlider();
        CirclePanel circlePanel = new CirclePanel();
        slider.addChangeListener(changeEvent -> {
            JSlider s = (JSlider) changeEvent.getSource();
            circlePanel.setRadius(s.getValue());
        });
        frame.add(slider, BorderLayout.NORTH);
        frame.add(circlePanel);
        frame.setLocationRelativeTo(null);
        frame.setVisible(true);
    }

    private static JSlider createSlider() {
        JSlider slider = new JSlider();
        slider.setMaximum(100);
        slider.setValue(50);
        slider.setMajorTickSpacing(10);
        slider.setMinorTickSpacing(5);
        slider.setPaintTicks(true);
        slider.setPaintLabels(true);
        return slider;
    }

    private static JFrame createFrame() {
        JFrame frame = new JFrame("JSlider Basic example");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setSize(new Dimension(400, 300));
        return frame;
    }
}